Summary: GNOME network programs
Name: gnome-network
Version: 1.99.5
Release: 6mdk
License: LGPL
Group: Graphical desktop/GNOME 
BuildRequires: libglade2.0-devel
BuildRequires: libgnomeui2-devel 
BuildRequires: tcptraceroute
BuildRequires: tightvnc
BuildRequires: XFree86-Xnest
BuildRequires: ImageMagick
#gw the scripts generated by the newer intltool need this one:
BuildRequires: perl-XML-Parser
#gw if we call automake
BuildRequires: automake1.4
BuildRequires: gnome-common
BuildRequires: intltool
BuildConflicts: libzvt2.0_0-devel
Source0: ftp://ftp.gnome.org/pub/%{name}-%{version}.tar.bz2
# (fc) 1.99.5-4mdk remove deprecated macro
Patch0: gnome-network-1.99.5-deprecated.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://www.gnome.org/
Requires: tcptraceroute
Requires: tightvnc
Requires: telnet-client-krb5
Requires: openssh-clients
Requires: XFree86-Xnest

%description
GNOME Network is a set of network-oriented tools targetted to desktop
users, and currently includes:

	- a network information tool, similar to the one found in
	  Mac OS X.
	- a remote shell (Telnet/SSH) client
	- a remote desktop (X11/VNC) client

%prep
%setup -q
%patch0 -p1 -b .deprecated

# fix build on x86-64
aclocal-1.4
automake-1.4

#needed by patch0 and to fix build
autoconf

%build

%configure2_5x --with-vncviewer=vncviewer

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): title="Network information" longtitle="GNOME Network Information" command="%{_bindir}/gnome-netinfo" icon="gnome-netinfo.png" needs="x11" section="Internet/Other"
?package(%{name}): title="Remote shell" longtitle="Open a shell on a remote server" command="%{_bindir}/gnome-remote-shell" icon="gnome-remote-shell.png" needs="x11" section="Internet/Remote Access"
?package(%{name}): title="Remote desktop" longtitle="Open a desktop on a remote computer" command="%{_bindir}/gnome-remote-desktop" icon="gnome-remote-desktop.png" needs="x11" section="Internet/Remote Access"
EOF

%{find_lang} %{name}

mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
for icon in gnome-netinfo.png gnome-remote-desktop.png gnome-remote-shell.png
do
  ln -s %_datadir/pixmaps/$icon %buildroot%_liconsdir/$icon
  convert -scale 32x32 %buildroot%_datadir/pixmaps/$icon %buildroot%_iconsdir/$icon
  convert -scale 16x16 %buildroot%_datadir/pixmaps/$icon %buildroot%_miconsdir/$icon
done


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
#export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
#gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-desktop-sharing.schemas > /dev/null

#%preun
#if [ "$1" = "0" ] ; then
# export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
# gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnome-desktop-sharing.schemas > /dev/null
#fi

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
#%_sysconfdir/gconf/schemas/gnome-desktop-sharing.schemas
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/application-registry/gnome-remote-desktop.applications
#%{_datadir}/control-center-2.0/capplets/gnome-desktop-sharing.desktop
%{_datadir}/gnome/apps/Internet/gnome-remote-desktop.desktop
%{_datadir}/gnome-network
%{_datadir}/mime-info/gnome-remote-desktop.keys
%{_datadir}/mime-info/gnome-remote-desktop.mime
%{_datadir}/pixmaps/gnome-network
%_datadir/pixmaps/*.png
%{_menudir}/*
%_liconsdir/*.png
%_iconsdir/*.png
%_miconsdir/*.png

%changelog
* Wed May 18 2005 Gtz Waschk <waschk@mandriva.org> 1.99.5-6mdk
- fix buildrequires

* Wed May 18 2005 Gtz Waschk <waschk@mandriva.org> 1.99.5-5mdk
- fix buildrequires

* Mon May 09 2005 Frederic Crozat <fcrozat@mandriva.com> 1.99.5-4mdk 
- Fix build on x86-64
- Patch0: remove deprecated macro

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.5-3mdk
- Fix menu

* Fri Nov 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.5-2mdk
- fix buildrequires

* Thu Nov 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.5-1mdk
- new version

* Wed Nov 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.4-1mdk
- 
- new version

* Tue Nov 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.3-1mdk
- add new files
- new version

* Fri Oct 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.2-1mdk
- new version

* Mon Sep  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.1-1mdk
- fix the icons
- add missing files
- remove the backup tool
- new version

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.99.0-6mdk
- Rebuild with latest ORBit2

* Wed Jun 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.0-5mdk
- don't build with zvt support (Frederic Crozat)

* Wed Jun 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.0-4mdk
- fix buildrequires

* Thu Jun  5 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.99.0-3mdk
- really fix invalid menu section

* Thu Jun  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.0-2mdk
- fix invalid menu section
- improve package description

* Wed Jun  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.99.0-1mdk
- It is alive....
- Release 1.99.0 (GNOME2 port)
- Remove patches 0, 1 & 2 (no longer needed)

* Mon Aug 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-12mdk
- Fix menu entries

* Fri May  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-11mdk
- Patch2: Disable applets (GNOME 2)

* Thu Jan 10 2002 David BAUDENS <baudens@mandrakesoft.com> 1.0.2-10mdk
- Move gsync's menu entry in Networking/File transfer

* Mon Sep 17 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.2-9mdk
- BuildRequires: gnome-core-devel
- Copyright --> License
- Removed redundant BuildRequires

* Tue Dec  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-8mdk
- Patch to compile with glibc 2.2/db2
- Readd .desktop

* Thu Sep 14 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-7mdk
- Correct size for some icons

* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-6mdk
- Add missing icons
- Use find_lang macro

* Tue Aug  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-5mdk
- BM + macroszification
- menu entry is embedded in specfile
- patch for gnome-sync to correctly exit when using close button + correct support of i18n

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-4mdk
- automatically added BuildRequires

* Thu Apr 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.2-3mdk
- fixed file-not-found in help system of gnome-ppp, with highly
  precious help from Camille with sgml
- added menu entries

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.2-2mdk
- match new group.
- SMP build/check.
- cleanup spec.

* Fri Jan 19 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed build by non-root

* Tue Jan 18 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- built for Mandrake

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-network CVS source tree


